Main Page Alphabetical List Data Structures File List Data Fields Globals

# gd.h File Reference

## Data Structures
struct | _wmf_gd_sink
struct | _wmf_gd_t
## Defines
#define | WMF_GD_SUPPORTS_PNG (1 << 0)
#define | WMF_GD_SUPPORTS_JPEG (1 << 1)
#define | WMF_GD_OUTPUT_FILE (1 << 16)
#define | WMF_GD_OUTPUT_MEMORY (1 << 17)
#define | WMF_GD_OWN_BUFFER (1 << 18)
#define | WMF_GD_GetData(Z) ((wmf_gd_t*)((Z)->device_data))
## Typedefs
typedef enum _wmf_gd_subtype | wmf_gd_subtype
typedef _wmf_gd_t | wmf_gd_t
## Enumerations
enum | _wmf_gd_subtype { wmf_gd_png = 0, wmf_gd_jpeg, wmf_gd_image }
## Functions
void | wmf_gd_function (wmfAPI *)
int * | wmf_gd_image_pixels (void *gd_image)

## Define Documentation

#define WMF_GD_GetData | ( | Z |  | ) | ((wmf_gd_t*)((Z)->device_data))

#define WMF_GD_OUTPUT_FILE (1 << 16)

#define WMF_GD_OUTPUT_MEMORY (1 << 17)

#define WMF_GD_OWN_BUFFER (1 << 18)

#define WMF_GD_SUPPORTS_JPEG (1 << 1)

#define WMF_GD_SUPPORTS_PNG (1 << 0)

## Typedef Documentation

typedef enum _wmf_gd_subtype wmf_gd_subtype

typedef struct _wmf_gd_t wmf_gd_t

## Enumeration Type Documentation

enum _wmf_gd_subtype

  | Enumeration values:
  wmf_gd_png |
  wmf_gd_jpeg |
  wmf_gd_image |

## Function Documentation

void wmf_gd_function | ( | wmfAPI * |  | ) |

int* wmf_gd_image_pixels | ( | void * | gd_image | ) |

| If using the wmf_gd_image option to write to a GD image, collected from the void* gd_image member of the device data struct above, the true-color pixels (stored in a contiguous array of height * width integers) of the image can be retrieved using wmf_gd_image_pixels()